Package org.pushingpixels.flamingo.internal.utils

# Class KeyTipManager.KeyTipLink

java.lang.Object
org.pushingpixels.flamingo.internal.utils.KeyTipManager.KeyTipLink

Enclosing class:
  `KeyTipManager`

public class KeyTipManager.KeyTipLink extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`JComponent`
`comp`
`boolean`
`enabled`
`String`
`keyTipString`
`ActionListener`
`onActivated`
`Point`
`prefAnchorPoint`
`KeyTipManager.KeyTipLinkTraversal`
`traversal`

## Constructor Summary

Constructors
Constructor
Description
`KeyTipLink()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### keyTipString

public String keyTipString

### comp

public JComponent comp

### prefAnchorPoint

public Point prefAnchorPoint

### onActivated

public ActionListener onActivated

### traversal

public KeyTipManager.KeyTipLinkTraversal traversal

### enabled

public boolean enabled

## Constructor Details

### KeyTipLink

public KeyTipLink()